//---------------------------------------------------------------------------
#ifndef CpkKeyImptDlgs1H
#define CpkKeyImptDlgs1H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Dialogs.hpp>
#include "cpkkeywins1.h"
//---------------------------------------------------------------------------
bool __fastcall ImportCypherpunkKeys(TForm *Owner, TCpkKeyList1 *keylist,
   TCpkKeyList1 *impkeys, TCpkKeyList1 *dupkeys,
   AnsiString &importdir);

   class TCpkKeyImptDlg1 : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TSpeedButton *ClipBtn;
	TSpeedButton *FileBtn;
	TListBox *ListBox1;
	TRichEdit *RichEdit1;
	TComboBox *ComboBox1;
	TTimer *Timer1;
	TPopupMenu *PopupMenu1;
	TMenuItem *PopDeleteItem;
	TOpenDialog *OpenDialog;
	TButton *ImportBtn;
	TButton *CancelBtn;
	TButton *HelpBtn;
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall ClipBtnClick(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
	void __fastcall FileBtnClick(TObject *Sender);
	
private:	// User declarations
public:		// User declarations
    int flash;
    AnsiString *impdir,cap;
    TCpkKeyList1 *keylist,*implist,*duplist,*dislist;
	virtual __fastcall TCpkKeyImptDlg1(TComponent* Owner);
    virtual __fastcall TCpkKeyImptDlg1(TComponent* Owner, TCpkKeyList1 *Keylist,
       TCpkKeyList1 *ImpKeys, TCpkKeyList1 *DupKeys, AnsiString &ImportDir);
    virtual __fastcall ~TCpkKeyImptDlg1();
    void __fastcall ImportKeys(AnsiString Name, AnsiString Ascii);
};
//---------------------------------------------------------------------------
extern TCpkKeyImptDlg1 *CpkKeyImptDlg1;
//---------------------------------------------------------------------------
#endif
