//---------------------------------------------------------------------------
#ifndef PgpFilesH
#define PgpFilesH
#include "mixmaster.h"
#include "global.h"
//---------------------------------------------------------------------------
AnsiString __fastcall PgpDir();
AnsiString __fastcall PgpPublicRing();
AnsiString __fastcall PgpSecretRing();
AnsiString __fastcall PgpImportRing();
AnsiString __fastcall PgpRemailRing();

bool __fastcall IsPGPArmoredHead(AnsiString line);                    // for parsing
bool __fastcall IsPGPArmoredTail(AnsiString line);                    // multi-block
bool __fastcall GetNextPGPArmored(BUFFER *asckeys, BUFFER *armored);  // files
bool __fastcall GetNextPGPArmored(TStrings *asckeys, TStrings *armored);  // files
int  __fastcall BeginPgpPubKeyBlockCount(TStrings *block);

void __fastcall FixPgpBeginEndLines(TStrings *lines);
const AnsiString BeginPgpPubKeyBlock = "-----BEGIN PGP PUBLIC KEY BLOCK-----";
const AnsiString EndPgpPubKeyBlock = "-----END PGP PUBLIC KEY BLOCK-----";
const AnsiString BeginPgpSecKeyBlock = "-----BEGIN PGP PRIVATE KEY BLOCK-----";
const AnsiString EndPgpSecKeyBlock = "-----END PGP PRIVATE KEY BLOCK-----";
const AnsiString BeginPgpMessage = "-----BEGIN PGP MESSAGE-----";
const AnsiString EndPgpMessage = "-----END PGP MESSAGE-----";
const AnsiString BeginPgpSignedMessage = "-----BEGIN PGP SIGNED MESSAGE-----";
const AnsiString BeginPgpSignature = "-----BEGIN PGP SIGNATURE-----";
const AnsiString EndPgpSignature = "-----END PGP SIGNATURE-----";

const AnsiString IsConventionalEncr = "IsConventionalEncr";
#endif
